Subject: Possible regression in next-20150323 due to "ARM, arm64: kvm: get rid of the bounce page"

From: [email-masked] (Will Deacon)
Date: Fri, 27 Mar 2015 10:06:12 +0000

On Fri, Mar 27, 2015 at 12:25:54AM +0000, Simon Horman wrote:
> On Thu, Mar 26, 2015 at 08:29:21AM -0700, Tyler Baker wrote:
> > On 26 March 2015 at 06:36, Will Deacon <[email-masked]> wrote:
> > > On Thu, Mar 26, 2015 at 12:39:39AM +0000, Simon Horman wrote:
> > >> On Tue, Mar 24, 2015 at 11:13:58AM -0500, Nishanth Menon wrote:
> > >> > I think we now have a new error: (seen with omap2plus_defconfig)
> > >> > on next-20150324 :
> > >> > ./arch/arm/kernel/vmlinux.lds:677: undefined symbol `__hyp_idmap_size'
> > >> > referenced in expression
> > >> > make: *** [vmlinux] Error 1
> > >>
> > >> Thanks, I am seeing that too.
> > >>
> > >> My armchair suggestion is that the following should be reverted.
> > >>
> > >> e60a1fec44a2f ("ARM: kvm: implement replacement for ld's LOG2CEIL()")
> > >> 06f75a1f62000 ("ARM, arm64: kvm: get rid of the bounce page")
> > >
> > > Can you try again with the latest -next please? We've merged an additional
> > > patch aimed at sorting this out. Reverting isn't really an option, as
> > > there's an awful lot of code that depends on the bounce page removal.
> > 
> > Here are the kernelci.org -next results[1], if you click the build
> > status you can dig down into the build failures. next-20150326 has now
> > hit a compiler bug, Arnd mentioned he was looking into this issue.
> 
> I have confirmed that next-20150326 does not compile without
> the following reverted:
> 
> 12eb3e833961 ("ARM: kvm: assert on HYP section boundaries not actual code size")
> e60a1fec44a2 ("ARM: kvm: implement replacement for ld's LOG2CEIL()")
> 06f75a1f6200 ("ARM, arm64: kvm: get rid of the bounce page")

Thanks for testing this and sorry for the continued breakage. Which
toolchain did you say you were using? Ard has some more patches trying to
fix this, but none of our toolchains seem to tickle the issue.

Will